Mirror object referencing original JavaScript object.

### Hierarchy

- RemoteObject

## Index

### Properties

- className
- customPreview
- description
- objectId
- preview
- subtype
- type
- unserializableValue
- value

## Properties

### Optional className

className: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:1147

Object class (constructor) name. Specified for `object` type values only.

### Optional customPreview

customPreview: CustomPreview

- Defined in node_modules/@types/node/inspector.d.ts:1173

experimental

### Optional description

description: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:1160

String representation of the object.

### Optional objectId

objectId: RemoteObjectId

- Defined in node_modules/@types/node/inspector.d.ts:1164

Unique object identifier (for non-primitive values).

### Optional preview

preview: ObjectPreview

- Defined in node_modules/@types/node/inspector.d.ts:1169

Preview containing abbreviated property values. Specified for `object` type values only.

experimental

### Optional subtype

subtype: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:1143

Object subtype hint. Specified for `object` type values only.

### type

type: string

- Defined in node_modules/@types/node/inspector.d.ts:1139

Object type.

### Optional unserializableValue

unserializableValue: UnserializableValue

- Defined in node_modules/@types/node/inspector.d.ts:1156

Primitive value which can not be JSON-stringified does not have `value`, but gets this property.

### Optional value

value: any

- Defined in node_modules/@types/node/inspector.d.ts:1151

Remote object value in case of primitive values or JSON values (if it was requested).

Generated using TypeDoc